Licensing Terminal Services

This section provides information about Terminal Services Licensing. Each client computer or terminal that connects to a Terminal server in application server mode must have a client license issued by a license server. The client license is stored locally and presented to the Terminal server each time the client connects to it.

  • For help with specific tasks, see How to.
  • For general background information, see Concepts.


How to...

  • Enable Terminal Services Licensing
  • Activate a license server
  • Install client license key packs
  • Deactivate a license server
  • Reactivate a license server
  • Repeat the installation of a client license key pack
  • Connect to a license server
  • Change Licensing wizard properties


Enable Terminal Services Licensing

To enable Terminal Services Licensing

  1. Open Add/Remove Programs in Control Panel.
  2. Click Add/Remove Windows Components to start the Windows Components wizard.
  3. In Windows Components, select Terminal Services Licensing, and then click Next.
  4. In Terminal Services Licensing Setup, do one of the following:
    • If your network includes several domains, click Your entire enterprise, and then provide the database location. An enterprise license server can serve Terminal servers on any domain, but the domain must be a Windows 2000 domain.
    • If you want to maintain a separate license server for each domain, or if your network includes workgroups or Windows NT 4.0 domains, click Your domain or workgroup, and then provide the database location.

Notes

  • To open Terminal Services Licensing after it is enabled, click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Licensing.
  • For Windows 2000 domains, you must enable Terminal Services Licensing on a domain controller.
  • Certain Windows components require configuration before thay can be used. If you installed one or more of these components, but did not configure them, when you click Add/Remove Windows Components, a list of components that need to be configured is displayed. To start the Windows Components wizard, click Components.


Activate a license server

You can activate a license server using four different methods: Internet, World Wide Web, fax, or telephone. Click the appropriate procedure below for instructions on activating your license server.

  • Activate a license server using the Internet
  • Activate a license server using the World Wide Web
  • Activate a license server using the fax
  • Activate a license server using the telephone


Activate a license server using the Internet

To activate a license server using the Internet

  1. Open Terminal Services Licensing.
  2. In the console tree, right-click the license server you want to activate, and then click Activate Server to start the Licensing wizard.
  3. In Connection method, select Internet, and then click Next.
  4. In Licensing Program, select the program under which you purchased licenses, and then click Next.

  5. On the next several pages, provide needed information for Microsoft to send you the server activation PIN, and then click Next.

    Your license server information is sent to Microsoft. After your request is processed, Microsoft sends an e-mail that contains your server activation PIN.

  6. In Completing the Process, select whether you want to complete the process immediately, postpone completion until your PIN arrives, or restart the activation process, and then click Next.

  7. In Activation PIN, type the PIN you received from Microsoft, and then click Next.

    Your license server is now activated using a digitally signed certificate.

  8. Do one of the following:
    • To install client license key packs for your license server now, click Next.
    • To install key packs at a later time, clear Install licenses now, and then click Finish.

Notes

  • To open Terminal Services Licensing, click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Licensing.
  • Once a license server is activated, it becomes the registrar for Terminal server client licenses. While waiting to complete the activation process, your license server can issue temporary licenses for clients that allow use of Terminal servers for up to 90 days.
  • Verify that the e-mail address you provide is valid.
  • Licensing wizard properties, such as connection method and company information, set during the activation process can be changed at a later time. For more information, see Related Topics.

Related Topics


Activate a license server using the World Wide Web

To activate a license server using the World Wide Web

  1. Open Terminal Services Licensing.
  2. In the console tree, right-click the license server you want to activate, and then click Activate Server to start the Licensing wizard.
  3. In Connection method, select World Wide Web, and then click Next.

  4. Connect to the Terminal Services Web site shown in License Server Activation. You can connect to this site on any computer with Internet access.

    After you provide the required information, you will receive your license server ID.

  5. In License Server Activation, type the license server ID in the appropriate location, and then click Next.

    Your license server is now activated.

  6. Do one of the following:
    • To install client license key packs for your license server now, click Next.
    • To install key packs at a later time, clear Install licenses now, and then click Finish.

Notes

  • To open Terminal Services Licensing, click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Licensing.
  • Once a license server is activated, it becomes the registrar for Terminal server client licenses. While waiting to complete the activation process, your license server can issue temporary licenses for clients that allow use of Terminal servers for up to 90 days.
  • Licensing wizard properties, such as connection method and company information, set during the activation process can be changed at a later time. For more information, see Related Topics.

Related Topics


Activate a license server using the fax

To activate a license server using the fax

  1. Open Terminal Services Licensing.
  2. In the console tree, right-click the license server you want to activate, and then click Activate Server to start the Licensing wizard.
  3. In Connection method, select Fax, and then click Next.
  4. In Country/Region Selection, select your country or region, and then click Next.

  5. On the next few pages, type the required information to activate your license server.

    You have the option to install client license key packs for your license server at this same time you activate the server.

  6. Click Print to print the completed activation request form and fax it to Microsoft using the fax number shown on the form.

    Microsoft will send you a fax containing the license server ID to complete the process.

  7. Type the license server ID in the space provided in License Server Activation, and then click Next.

    Your license server is now activated.

Notes

  • To open Terminal Services Licensing, click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Licensing.
  • Once a license server is activated, it becomes the registrar for Terminal server client licenses. While waiting to complete the activation process, your license server can issue temporary licenses for clients that allow use of Terminal servers for up to 90 days.
  • Licensing wizard properties, such as connection method and company information, set during the activation process can be changed at a later time. For more information, see Related Topics.

Related Topics


Activate a license server using the telephone

To activate a license server using the telephone

  1. Open Terminal Services Licensing.
  2. In the console tree, right-click the license server you want to activate, and then click Activate Server to start the Licensing wizard.
  3. For Connection method, select Telephone, and then click Next.
  4. In Country/Region Selection, select your country or region, and then click Next to display the appropriate telephone number to call.

  5. Call the Customer Support Center (CSC) and give your Product ID, shown in License server settings on License Server Activation, to the representative. You will also be required to provide your name, the name of your organization, and the type of licensing program you are using.

    The CSC processes your request to activate the license server, and creates a unique ID for your license server.

  6. Type the license server ID provided by the representative in the space provided on License Server Activation, and then click Next.

    Your license server is now activated.

  7. Do one of the following:
    • To install client license key packs for your license server now, click Next.
    • To install key packs at a later time, clear Install licenses now, and then click Finish.

Notes

  • To open Terminal Services Licensing, click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Licensing.
  • Once a license server is activated, it becomes the registrar for Terminal server client licenses. While waiting to complete the activation process, your license server can issue temporary licenses for clients that allow use of Terminal servers for up to 90 days.
  • Licensing wizard properties, such as connection method and company information, set during the activation process can be changed at a later time. For more information, see Related Topics.

Related Topics


Install client license key packs

You can install client license key packs using four different methods: Internet, World Wide Web, fax, or telephone. Click the appropriate procedure below for instructions on installing key packs.

  • Install client license key packs using the Internet
  • Install client license key packs using the World Wide Web
  • Install client license key packs using the fax
  • Install client license key packs using the telephone


Install client license key packs using the Internet

To install client license key packs using the Internet

  1. Open Terminal Services Licensing.

  2. In the console tree, right-click the license server for which you want to install key packs, and then click Install Licenses.

    The previous steps are not necessary if the Licensing wizard is already started.

  3. In Program and Client License Information, provide the required information for your licensing program to receive your key packs, and then click Next.

    Microsoft processes your request, and installs the encrypted client license key pack on your license server.

  4. Click Finish to complete the process.

    The license server can now issue licenses to clients that connect to a Terminal server.

Notes

  • To open Terminal Services Licensing, click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Licensing.
  • You cannot install client license key packs until your license server is activated.
  • Contact the Microsoft Customer Support Center if you receive an error during the client license installation process. To find the nearest phone number, you must first go to Licensing Wizard Properties and select Telephone as the connection method, right-click the license server, and then click Install licenses to display the appropriate number.

Related Topics


Install client license key packs using the World Wide Web

To install client license key packs using the World Wide Web

  1. Open Terminal Services Licensing.

  2. In the console tree, right-click the license server for which you want to install key packs, and then click Install Licenses.

    The previous steps are not necessary if the Licensing wizard is already started.

  3. Connect to the Terminal Services Web site shown in License Server Activation. You can connect to this site on any computer that has Internet access.

    After you provide the required information, you will receive your client license key pack ID.

  4. Type the client license key pack ID in the space provided in Obtain client license key pack, and then click Next.

    The key pack is installed on your license server.

  5. Click Finish to complete the process.

    The license server can now issue licenses to clients that connect to a Terminal server.

Notes

  • To open Terminal Services Licensing, click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Licensing.
  • You cannot install client license key packs until your license server is activated.

Related Topics


Install client license key packs using the fax

To install client license key packs using the fax

  1. Open Terminal Services Licensing.

  2. In the console tree, right-click the license server for which you want to install key packs, and then click Install Licenses.

    The previous steps are not necessary if the Licensing wizard is already started.

  3. In Country/Region Selection, select your country or region, and then click Next.
  4. On the next few pages, type the required information to install client license key packs.

  5. Click Print to print the completed request form and fax it to Microsoft using the fax number shown on the form.

    Microsoft will send you a fax containing the client license key pack ID to complete the process.

  6. Type the client license key pack ID provided by the representative in Obtain client license key pack, and then click Next.

    The key pack is installed on your license server.

  7. Click Finish to complete the process.

    The license server can now issue licenses to clients that connect to a Terminal server.

Notes

  • To open Terminal Services Licensing, click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Licensing.
  • You cannot install client license key packs until your license server is activated.

Related Topics


Install client license key packs using the telephone

To install client license key packs using the telephone

  1. Open Terminal Services Licensing.

  2. In the console tree, right-click the license server for which you want to install key packs, and then click Install Licenses.

    The previous steps are not necessary if the Licensing wizard is already started.

  3. Call the Customer Support Center (CSC) and give the representative your license server Product ID and the required information for your licensing program under which you purchased client licenses.

    The representative processes your request to install client license key packs, and creates a unique ID for the key pack.

  4. Type the client license key pack ID provided by the representative in Obtain client license key pack, and then click Next.

    The key pack is installed on your license server.

  5. Click Finish to complete the process.

    The license server can now issue licenses to clients that connect to a Terminal server.

Notes

  • To open Terminal Services Licensing, click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Licensing.
  • You cannot install client license key packs until your license server is activated.

Related Topics


Deactivate a license server

To deactivate a license server

  1. Open Terminal Services Licensing.
  2. In the console tree, right-click the license server you want to deactivate, point to Advanced, and then click Deactivate Server. The Licensing wizard starts.

  3. In Information Needed, confirm that your name, phone number (optional), and e-mail address (required if you are using the Internet method) are correct, and then click Next.

    Your request to deactivate the license server is sent to Microsoft where it is processed.

  4. Click Finish.

Notes

  • To open Terminal Services Licensing, click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Licensing.
  • You cannot deactivate a license server using either the fax or World Wide Web connection methods.
  • When deactivating a license server using the telephone method, you will receive a confirmation code from the Customer Support representative which must be typed in the appropriate space in the Licensing wizard.
  • You might need to deactivate a license server when the certificate of the server has expired or becomes corrupted, or when the server is being redeployed. However, you will be prompted to reactivate the license server when its registration has expired.
  • When you deactivate a license server, you will not be able to license additional clients from this server until the license server is reactivated.

Related Topics


Reactivate a license server

To reactivate a license server

  1. Open Terminal Services Licensing.
  2. In the console tree, right-click the license server you want to reactivate, point to Advanced, and then click Reactivate Server. The Licensing wizard starts.

  3. In Information Needed, confirm that your name, phone number (optional), and e-mail address (required if you are using the Internet method) are correct.

  4. In Reason, select the appropriate reason for reactivating the server, and click Finish.

    Your request to reactivate the license server is sent to Microsoft where it is processed.

Notes

  • To open Terminal Services Licensing, click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Licensing.
  • You cannot reactivate a license server using either the fax or World Wide Web connection methods.
  • When reactivating a license server using the telephone method, you will receive confirmation that the license server has been reactivated from over the telephone.
  • When a license server is reactivated, a record of your licenses is retained. Licenses that were already issued remain valid, and any unissued licenses are also valid, but must be reissued through Microsoft.
  • You need to reactivate a license server when its registration has expired.

Related Topics


Repeat the installation of a client license key pack

To repeat the installation of a client license key pack

  1. Open Terminal Services Licensing.
  2. In the console tree, right-click the license server for which you want to reload the key pack, point to Advanced, and then click Repeat Last Installation. The Licensing wizard starts.

  3. In Information Needed, confirm that your name, phone number (optional), and e-mail address (required if you are using the Internet method) are correct, and then click Next.

    Your request is sent to Microsoft where it is processed.

  4. When the request is complete, you will receive an e-mail message that the client license key pack has been re-installed if you are using the Internet method.

Notes

  • To open Terminal Services Licensing, click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Licensing.
  • You cannot repeat the installation of a client license key pack using either the fax or World Wide Web connection methods.

Related Topics


Connect to a license server

To connect to a license server

  1. Open Terminal Services Licensing.
  2. On the Action menu, click Connect.
  3. In Server, type the name of the server to which you want to connect, and then click OK.

Notes

  • To open Terminal Services Licensing, click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Licensing.
  • When Terminal Services Licensing opens, it automatically finds all license servers in your workgroup or domain.

Related Topics


Change Licensing wizard properties

To change Licensing wizard properties

  1. Open Terminal Services Licensing.

  2. In the console tree, right-click the license server for which you want to change properties, and then click Properties.

    The Licensing Wizard Properties dialog box opens.

  3. Click any of the following tabs to modify properties:
    • Click Connection Method to select a different method for transacting with Microsoft. You can select Internet, World Wide Web, fax, or telephone.
    • Click Licensing Program to change the program under which you purchased Terminal Services licenses.
    • Click Company Information and Company Address to make changes to your name, phone number, fax number, e-mail address, and company address.

Note

  • To open Terminal Services Licensing, click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Licensing.


Concepts

  • Terminal Services Licensing overview
  • Understanding Terminal Services Licensing
  • Using Terminal Services Licensing


Terminal Services Licensing overview

Terminal Services has its own method for licensing clients that log on to Terminal servers, separate from the licensing method for Windows 2000 Server clients. Clients must receive a valid license issued by a license server before they are allowed to log on to a Terminal server in application server mode. When using Terminal Services in remote administration mode, two concurrent connections are automatically allowed to log on, and a license server is not required.

Using Terminal Services in application server mode requires a license server, and the license server must be activated through Microsoft. Once activated, the license server provides a secure way to install client licenses and issue them to Terminal Services clients. When a client attempts to log on to a Terminal server for the first time, the server contacts the license server and requests a license for the client. Before licenses can be issued to clients, you must first install a license server on your network, activate the license server through the Microsoft Clearinghouse, and install client license key packs on the license server.

Microsoft Clearinghouse

The Microsoft Clearinghouse is the database Microsoft maintains to activate license servers and install client license key packs on license servers that request them. The Clearinghouse stores information about all activated license servers and key packs that have been issued. This helps you to track client usage of your Terminal servers within your organization, ensuring that you have purchased an accurate number of client licenses. The Microsoft Clearinghouse is accessed from Terminal Services Licensing. When Microsoft is referred to in the Terminal Services Licensing documentation, it is referring specifically to the Microsoft Clearinghouse.

License server

A license server stores all client licenses that have been installed for a Terminal server and tracks the licenses that have been issued to client computers or terminals. A Terminal server must be able to connect to an activated license server before clients can be issued licenses. One license server can serve several Terminal servers concurrently.

You can install a license server on your computer when you run Windows 2000 Server Setup. For Windows 2000 domains, a license server must be installed on a domain controller. Since it is recommended that you enable Terminal Services on a member server or stand-alone server, you might want to install the license server on a different computer. Also, if you are planning to eventually migrate from a workgroup or Windows NT 4.0 domain to a Windows 2000 domain, you might want to install the license server on a computer that can be promoted to a Windows 2000 domain controller. Before installing the license server, consider which of two types of license servers you require—a domain license server or an enterprise license server.

By default, a license server is installed as a domain license server. This type is appropriate if you want to maintain a separate license server for each domain. Keep in mind that Terminal servers can only access domain license servers if they are in the same domain as the license server. Also, if you have workgroups or Windows NT 4.0 domains, a domain license server is the only type that you can install. In Windows 2000 domains, the domain license server must be installed on a domain controller. In workgroups or Windows NT 4.0 domains, the domain license server can be installed on any server. To activate the license server quickly, install the server on a computer that has Internet access.

You can also install a license server as an enterprise license server. This type of license server is appropriate if you have many domains. An enterprise license server can serve Terminal servers on any domain, but the domain must be a Windows 2000 domain.

Terminal servers can allow unlicensed clients to connect for 90 days. After this time, Terminal servers can no longer allow clients to connect unless it locates a license server to issue client licenses.

You activate a license server from Terminal Services Licensing. When a license server is activated, it confirms the identity of the server and allows it to obtain and issue licenses to your Terminal Services clients. For information on activating a license server, see Activating a license server.

For information on enabling Terminal Services Licensing, see Enabling Terminal Services Licensing.

Terminal server

A Terminal server is the server on which Terminal Services is enabled. It provides clients access to Windows-based applications running entirely on the server and supports multiple client sessions on the server. When clients log on to a Terminal server, the server validates the client licenses. If a client does not have a license, the Terminal server requests one from the license server.

You have the option to enable Terminal Services when you run Windows 2000 Server Setup. Or, you can enable Terminal Services at a later time using Add/Remove Programs in Control Panel. Terminal Services can be enabled in either remote administration or application server mode. Only application server mode requires licensing. For instructions on enabling Terminal Services, see Enabling Terminal Services.

Client licenses

Each client computer or terminal that connects to a Terminal server must have a valid client license. The client license is stored locally and presented to the Terminal server each time the client connects to the server. The server validates the license, and then allows the client to connect.

In addition to client access licenses, you can purchase the Windows 2000 Terminal Services Internet Connector license, which allows a maximum of 200 concurrent users to connect anonymously to a Terminal server over the Internet. This license can be used to demonstrate Windows-based 32-bit applications to Internet users. For more information about this license, see Required licenses.

To view the Terminal Services Licensing privacy statement, see About Terminal Services License Management and your privacy.


Understanding Terminal Services Licensing

  • Required licenses
  • Terminal Services Licensing administrative tool
  • About Terminal Services License Management and your privacy


Required licenses

Deploying Terminal Services in application server mode on your network requires the following licenses:

  • Windows 2000 Server license. This license is included with the purchase of the product.
  • Windows 2000 Server Client Access License. This is required for each computer or Windows-based Terminal connecting to Windows 2000 Server. Client Access Licenses permit clients to use the file, print, and other network services provided by Windows 2000 Server. The Terminal Services component of Windows 2000 Server requires Per Seat licensing for the Windows 2000 Server Client Access License, except when the Windows 2000 Terminal Services Internet Connector license is purchased. The Internet Connector license is described later in this topic.

    • In addition to the previous licenses, select one of the following for each computer or Windows-based Terminal connecting to the Windows 2000 Server:

  • Windows 2000 Terminal Services Client Access License. This license provides each client computer or Windows-based Terminal the legal right to access Terminal Services on a Windows 2000 Server. For example, this license is required to start a terminal session and run Windows-based applications on the server.

    • -Or-

  • Windows 2000 Professional license. This license permits the installation of the Windows 2000 Professional operating system, in addition to the legal right to access Terminal Services on a Windows 2000 Server.

Windows 2000 Terminal Services Internet Connector license

In place of the client access licenses described above, you have the option to purchase the Windows 2000 Terminal Services Internet Connector license. This license is purchased separately as an add-on license to Windows 2000 Server, allowing a maximum of 200 concurrent users to connect anonymously to a Terminal server over the Internet. It is useful for organizations that want to demonstrate Windows-based software to Internet users without rewriting Windows-based applications as Web-based applications. All users who access a Terminal server with this license must be non-employees.

When you use the Internet Connector license with a specific Windows 2000 Server, the server can only allow client access through the Internet for Terminal Services. You cannot use the Internet Connector license in addition to other types of Terminal Services client access licenses on the same Windows 2000 Server.

By default, the Internet Connector license is disabled. You can enable it using Terminal Services Configuration. When enabled, a request for the Internet Connector license is sent to the license server, which confirms that the Internet Connector license was purchased and associates the license with the Terminal server. If the license server is not found, the Internet Connector license cannot be enabled. For more information, see To enable or disable Internet Connector licensing.

Work at Home Windows 2000 Terminal Services Client Access License

For companies that want to use Terminal Services to provide their employees home access to the Windows 2000 desktop and 32-bit Windows-based applications, the Work at Home Terminal Services Client Access License is available through the Microsoft Volume licensing programs. For each Windows 2000 Professional or Terminal Services Client Access License purchased, an additional Work at Home Windows 2000 Terminal Services Client Access License can be purchased at a discount for use by the employee at home. A Work at Home license is required for each home computer which connects to the Windows 2000 Server running Terminal Services. This Work at Home license differs from the standard Windows 2000 Terminal Services Client Access License because it includes a Windows 2000 Server Client Access License. It does not include licenses for applications (for example, Microsoft Office). These licenses must be purchased separately for each client computer connecting to the Terminal server from the employee's home.


Terminal Services Licensing administrative tool

Terminal Services Licensing is an administrative tool designed to help you activate license servers, install client license key packs, and track client usage of your licenses, ensuring that you have purchased an accurate number of client licenses.

Using Terminal Services Licensing, you can perform the following tasks after connecting to a license server:

  • Activate a license server.
  • Install client license key packs.
  • Reactivate a license server.
  • Deactivate a license server.
  • Repeat the installation of client license key packs.
  • Change the Licensing wizard properties.

To perform the actions above, you must either have Internet access or access to a telephone or fax.

You can also use Terminal Services Licensing to connect to any license server on your network, and then view information about the licenses on that server. You can view the following licensing information using this tool:

  • The list of installed client license key packs.
  • The total number of licenses in each client license key pack, and the number of available and issued licenses in each key pack.
  • The date a license was issued to each computer, and the name of the computer to which each license is issued.
  • The issue and expiration dates of each temporary license, and the name of the computer to which the license was issued.

When the number of clients requesting licenses from a license server exceeds the number of unissued licenses stored on the server, you are reminded to purchase new licenses and register them. The reminder appears as an event in the system log of the Event Viewer.

For instructions on using Terminal Services Licensing, see How to.


About Terminal Services License Management and your privacy

Microsoft asks you to activate your Terminal Services license server and client access licenses to verify that you are a licensed user and to provide customized benefits and services. When complete and accurate information is provided, Microsoft customer service representatives are able to successfully recreate the licensing information on your Terminal Services license server if technical problems occur. This prevents the possible loss of valuable licensing information. The information you provide may also be used internally at Microsoft to perform aggregate quality testing of the Terminal Services license program.

You do not need to provide all of the requested information. However, some fields are required, and if you do not provide complete information Microsoft may be unable to activate your Terminal Services license server and client access licenses.

The information provided over the Internet or World Wide Web to Microsoft is encrypted for your security and is securely stored by Microsoft in a dedicated database. Microsoft uses this information only for the reasons detailed above. This information is kept separate from information you may have provided to Microsoft in other contexts, and is not disclosed to third parties.

To access and make changes to the data provided to Microsoft in this license activation process, call your customer service representative. To find the appropriate phone number to call, select the telephone activation method in the Terminal Services Licensing wizard.

If you believe that Microsoft has not complied with these privacy principles, please notify us by postal mail at the following address:

Microsoft
Attn: Terminal Services License Management Program
One Microsoft Way
Redmond, Washington 98052-6399

We will use commercially reasonable efforts to promptly determine and correct the problem.


Using Terminal Services Licensing

  • Enabling Terminal Services Licensing
  • Activating a license server
  • Installing client license key packs on a license server
  • Backing up a license server


Enabling Terminal Services Licensing

You have the option to enable Terminal Services Licensing when you run Windows 2000 Server Setup. You can also enable it at another time using Add/Remove Programs in Control Panel. When Terminal Services is in remote administration mode, you do not need to enable Terminal Services Licensing. For instructions on how to enable Terminal Services Licensing after you have already installed Windows 2000 Server, see To enable Terminal Services Licensing.

During Terminal Services Licensing Setup, you select which type of license server is required for your system—either a domain license server or an enterprise license server. By default, a license server is installed as a domain license server. This type is appropriate if you want to maintain a separate license server for each domain. Keep in mind that Terminal servers can only access domain license servers if they are in the same domain as the license server. Also, if your network includes workgroups or Windows NT 4.0 domains, the domain license server is the only type of license server that you can install and use. In Windows 2000 domains, the domain license server must be installed on a domain controller. In workgroups or Windows NT 4.0 domains, the domain license server can be installed on any server. To activate the license server quickly, enable Terminal Services Licensing on a server that has Internet access.

You can also select to install a license server as an enterprise license server. This type of license server is appropriate if your network includes several domains. An enterprise license server can serve Terminal servers on any domain, but the domain must be a Windows 2000 domain.


Activating a license server

You must activate a license server before it can issue licenses to Terminal Services clients. A license server is activated through Microsoft from Terminal Services Licensing. When you activate a license server, Microsoft provides the server with a digital certificate which validates server ownership and identity. Using this certificate, a license server can make subsequent transactions with Microsoft and receive client licenses for your Terminal servers. There are four different methods for activating a license server—Internet, World Wide Web, fax, and telephone. The Internet method is the fastest and easiest method. To use this method, the server running Terminal Services Licensing must have an Internet connection. Use the World Wide Web method to connect directly to the secure Microsoft Terminal Services Web site. This method also requires an Internet connection, but the connection can be made from any computer. Use the fax or telephone method to contact the Customer Support Center (CSC) nearest you and receive an ID number to activate the license server by phone or fax. To locate the appropriate number to call or fax, use the Licensing wizard. For instructions on activating a license server using any of these methods, see Activate a license server.

You are required to activate a license server only once, after which the license server becomes the registrar for Terminal server client licenses. While waiting to complete the registration process, your license server can issue temporary licenses for clients that allow them to use Terminal servers for up to 90 days.


Installing client license key packs on a license server

After a license server is activated, you can install client license key packs on the server and issue licenses to Terminal servers upon request. The key packs are stored and tracked on the license server. Client license key packs are installed through Microsoft from Terminal Services Licensing. When Microsoft receives your request to install client licenses, it issues key packs in the quantity requested to your license server. You install client licenses using any of the same four methods you use when activating a license server—Internet, World Wide Web, fax, and telephone. For instructions on installing client license key packs using any of these methods, see Install client license key packs.

After client licenses are installed on a license server, the server can issue licenses. When a client computer attempts to log on to a Terminal server for the first time, the Terminal server recognizes that the client has not been issued a license and locates a license server to issue a new license to the client. Once granted, each client license is permanently associated with a particular computer or terminal and cannot be transferred to another device. Client licenses are digitally signed certificates that each client stores locally.

Notes

  • Your license server can issue temporary licenses for clients that allow them to use a Terminal server for up to 90 days while waiting to receive your licenses.
  • It is recommended that you install only the number of licenses that you want to issue to clients.


Backing up a license server

It is recommended that you back up your license server regularly using the Backup utility. This will help protect your licensing data from accidental loss if your system experiences hardware or storage failure.

When backing up a license server, back up both the System State data and the folder in which the license server is installed. This ensures that data in both the registry and the license server database is backed up.

If you restore the System State data and the database to the same license server computer, any unissued licenses are restored correctly as long as you have not replaced the operating system on the computer. If you do not restore to the same computer, any unissued licenses that are detected are not restored and an event will appear in the system log of Event Viewer. You can still restore the unissued licenses by contacting your Customer Support Center (CSC) by phone and requesting that the licenses be reissued.

For more information on using Backup, see Backing up and restoring data